﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Carrito - Paso 3";
}

@Html.Partial("_BreadCrumb")

@using (Html.BeginForm())
{

<section id="cart-page">
    <div class="container">

        <div class="col-xs-12 col-md-9 items-holder no-margin widget">

            <h1 class="border" style="font-weight:500 !important;text-transform:none;">Forma de pago</h1>

                <div id="payment-method-options">
                    <div class="payment-method-option">
                        <input id="PaymentMethod_Convenir" type="radio" name="PaymentMethod" value="@((int)PaymentMethodEnum.Convenir)"><i class="fake-box"></i>
                        <label for="PaymentMethod_Convenir" class="radio-label">
                            Acuerdo con Atención al Cliente<br>
                            <p>El pago se realizará en efectivo según lo acordado.</p>
                        </label>
                    </div>
                    
                    <div class="payment-method-option">
                        <input id="PaymentMethod_MercadoPago" type="radio" name="PaymentMethod" value="@((int)PaymentMethodEnum.MercadoPago)"><i class="fake-box"></i>
                        <label for="PaymentMethod_MercadoPago" class="radio-label">
                            Tarjeta de crédito y otros medios disponibles por Mercado Pago
                            @if (Model.Customer.UserType == (int)UserTypeEnum.Minorista)
                            {
                                <p>Si eliges esta forma de pago serás dirigido a Mercado Pago para realizar el pago de tu compra de manera online.</p>
                            }
                            else
                            {
                                <p>Si eliges esta forma de pago se te sumará un recargo del 6% por el uso del medio de pago.</p>
                            }

                        </label>
                    </div>

                    <div class="payment-method-option">
                        <input id="PaymentMethod_TodoPago" type="radio" name="PaymentMethod" value="@((int)PaymentMethodEnum.TodoPago)"><i class="fake-box"></i>
                        <label for="PaymentMethod_TodoPago" class="radio-label">
                            Pago a través de Todo Pago
                            <p>Se te redireccionará a la pagina de pago de TodoPago. Se te hará un recargo de 18% y podrás pagar en 12 cuotas sin interés.</p>
                        </label>
                    </div>

                    <div class="payment-method-option">
                        <input id="PaymentMethod_Transferencia" type="radio" name="PaymentMethod" value="@((int)PaymentMethodEnum.TransferenciaBancaria)"><i class="fake-box"></i>
                        <label for="PaymentMethod_Transferencia" class="radio-label">
                            Pago por Transferencia Bancaria
                            <p>
                                Una vez finalizado tu pedido recibirás por correo la información necesaria para realizar la transferencia.
                            </p>
                        </label>
                    </div>

                    @*<div class="payment-method-option">
                        <input class="le-radio" type="radio" name="PaymentMethod" value="@((int)PaymentMethodEnum.Convenir)"><i class="fake-box"></i>
                        <div class="radio-label">
                            A convenir
                            <p>El pago se acordará con el departamento de Atención al Cliente una vez confirmado su pedido.</p>
                        </div>
                    </div>*@

                </div>
                @if (Model.Customer.UserType == (int)UserTypeEnum.Mayorista)
                {
                    <div class="panel panel-styled panel-dni panel-mercadopago" style="margin-top:30px;">
                        <div class="panel-heading">Ingresá tus datos de facturación:</div>
                        <div class="panel-body">
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">Razón social</label>
                                <div class="col-md-8"><input type="text" class="le-input" id="CorporateName" name="CorporateName" value="@Model.Customer.CorporateName"></div>
                            </div>
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">CUIT</label>
                                <div class="col-md-8"><input type="text" class="le-input" id="CUIT" name="CUIT" value="@Model.Customer.CUIT"></div>
                            </div>
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">Dir. Facturación</label>
                                <div class="col-md-8"><input type="text" class="le-input" id="BillingAddress" name="BillingAddress" value="@Model.Customer.BillingAddress"></div>
                            </div>
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">Condición IVA</label>
                                <div class="col-md-8">
                                    <select id="IvaConditionId" name="IvaConditionId" class="le-input">
                                        <option value="@((int)IvaConditionEnum.ConsumidorFinal)" @(Model.Customer.IvaConditionId == (int)IvaConditionEnum.ConsumidorFinal ? "selected" : string.Empty)>Consumidor Final</option>
                                        <option value="@((int)IvaConditionEnum.Monotributista)" @(Model.Customer.IvaConditionId == (int)IvaConditionEnum.Monotributista ? "selected" : string.Empty)>Monotributista</option>
                                        <option value="@((int)IvaConditionEnum.ResponsableInscripto)" @(Model.Customer.IvaConditionId == (int)IvaConditionEnum.ResponsableInscripto ? "selected" : string.Empty)>Responsable Inscripto (RI)</option>
                                        <option value="@((int)IvaConditionEnum.Exento)" @(Model.Customer.IvaConditionId == (int)IvaConditionEnum.Exento ? "selected" : string.Empty)>Exento</option>
                                    </select>
                                </div>
                            </div>
                            <button class="le-button-sm" type="button" id="button-dni-mp">Ingresar</button>
                        </div>
                    </div>
                }
                
            
                @if (Model.Customer.UserType == (int)UserTypeEnum.Minorista)
                {
                    <div class="panel panel-styled panel-dni panel-mercadopago" style="margin-top:30px;display:none;">
                        <div class="panel-heading">Ingresá tus datos para que podamos facturar tu compra:</div>
                        <div class="panel-body">
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">DNI</label>
                                <div class="col-md-3"><input type="text" class="le-input" id="dni" name="dni" value="@Model.Customer.DNI"></div>
                            </div>
                            <div class="row" style="margin-bottom:25px;">
                                <label class="col-md-2">Dir. Facturación</label>
                                <div class="col-md-8"><input type="text" class="le-input" id="BillingAddress" name="BillingAddress" value="@Model.Customer.BillingAddress"></div>

                            </div>

                            <button class="le-button-sm" type="button" id="button-dni">Ingresar</button>
                        </div>
                    </div>
                }
        </div>
        <!-- ========================================= CONTENT : END ========================================= -->

        <!-- ========================================= SIDEBAR ========================================= -->
        <div class="col-xs-12 col-md-3 no-margin sidebar ">
            
            @Html.Partial("_OrderSummary", Model)

        </div>
        <!-- ========================================= SIDEBAR : END ========================================= -->
    </div>
</section>

}

@section Scripts
{
    <script src="~/Scripts/ShoppingCart/Step2-3.js" type="text/javascript"></script>
    <script type="text/javascript">

        $(document).ready(function ()
        {
            
            $('input[type="radio"]').iCheck({
                checkboxClass: 'iradio_square-grey',
                radioClass: 'iradio_square-grey'
            });

            $('input[type="radio"]').on('ifChecked', function (event) {
                $(this).change();
            });

            $(".le-button").addClass("disabled");
            $(".le-button").attr("disabled", true);
            setCheckButton();

            $("#button-dni").click(function () {
                var validDni = validateInput("dni");
                var validAddress = validateInput("BillingAddress");

                if (validDni && validAddress) {
                    $(".le-button").removeClass("disabled");
                    $(".le-button").removeAttr("disabled");
                } else {
                    $(".le-button").addClass("disabled");
                    $(".le-button").attr("disabled", true);
                }
            });

            $("#button-dni-mp").click(function () {
                var validCuit = validateInput("CUIT");
                var validAddress = validateInput("BillingAddress");
                var validCorponame = validateInput("CorporateName");

                if (validCuit && validAddress && validCorponame) {
                    $(".le-button").removeClass("disabled");
                    $(".le-button").removeAttr("disabled");
                    ScrollTop();
                } else {
                    $(".le-button").addClass("disabled");
                    $(".le-button").attr("disabled", true);
                }
            });
            SetTotal();
        });

        function validateInput(name) {
            var input = $("#" + name);
            if (input.val().length > 0) {
                input.removeClass("required");
                return true;
            } else {
                input.addClass("required");
                return false;
            }
        }

        function setCheckButton()
        {
            $("input[type=radio]").change(function ()
            {
                debugger;
                if ($(this).is(':checked'))
                {
                    if ($(this).attr('id') == "PaymentMethod_MercadoPago")
                    {
                        $(".le-button").addClass("disabled");
                        $(".le-button").attr("disabled", true);
                        $('.panel-mercadopago').css('display', 'block');
                    }
                    else {
                        $('.panel-mercadopago').css('display', 'none');
                        if ("@(Model.Total > 1000 && Model.Customer.UserType == (int)UserTypeEnum.Minorista)" == "True") {
                            $(".panel-dni").fadeIn();
                        } else {
                            $(".le-button").removeClass("disabled");
                            $(".le-button").removeAttr("disabled");
                        }
                    }
                    
                }
            });
        }

        $("#btnAvanzar").click(function () {
            $(this).addClass("disabled");
            $(this).attr("disabled", true);
            $("form")[2].submit();
        });
    </script>
}